Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Class ManagedConcurrentMap.EntryWithValue<K,V>

    java.lang.Object
      org.codehaus.groovy.util.ManagedReference<K>
          org.codehaus.groovy.util.ManagedConcurrentMap.Entry<K,V>
              org.codehaus.groovy.util.ManagedConcurrentMap.EntryWithValue<K,V>

All Implemented Interfaces:
  AbstractConcurrentMap.Entry<K,V>, Finalizable

Enclosing class:
  ManagedConcurrentMap<K,V>

    public static class ManagedConcurrentMap.EntryWithValue<K,V>

extends ManagedConcurrentMap.Entry<K,V>

Constructor Summary
`ManagedConcurrentMap.EntryWithValue(ReferenceBundle bundle, ManagedConcurrentMap.Segment segment, K key, int hash, V value)`

Method Summary
`void` | `finalizeRef()`
`V` | `getValue()`
`void` | `setValue(V value)`

Methods inherited from class org.codehaus.groovy.util.ManagedConcurrentMap.Entry
`getHash, isEqual, isValid`

Methods inherited from class org.codehaus.groovy.util.ManagedReference
`clear, finalizeReference, get`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedConcurrentMap.EntryWithValue

    public ManagedConcurrentMap.EntryWithValue(ReferenceBundle bundle,
                                               ManagedConcurrentMap.Segment segment,
                                               K key,
                                               int hash,
                                               V value)

Method Detail

### getValue

    public V getValue()

  Overrides:
    `getValue` in class `ManagedConcurrentMap.Entry<K,V>`

### setValue

    public void setValue(V value)

  Overrides:
    `setValue` in class `ManagedConcurrentMap.Entry<K,V>`

### finalizeRef

    public void finalizeRef()

  Overrides:
    `finalizeRef` in class `ManagedConcurrentMap.Entry<K,V>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD